Skip to main content
GET
/
orgs
/
{org_id}
/
files
/
{file_id}
/
grants
List file grants
import requests

url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id}/grants"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "items": [
    {
      "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string<uuid>
required
file_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string

Response

200 - application/json

File grant page.

items
object[]
required
next_cursor
string | null
Last modified on June 29, 2026